Presets

Bulk delete presets

Soft-deletes multiple presets. Only presets owned by the current user are deleted. System presets and presets owned by others are skipped and returned in failed_codes.

POST
/preset/bulk-delete

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://v2.api.piktid.com/preset/bulk-delete" \  -H "Content-Type: application/json" \  -d '{    "preset_codes": [      "string"    ]  }'
{
  "deleted_count": 0,
  "failed_codes": [
    "string"
  ]
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty